GNU bug report logs - #24169
25.1.50; Line numbers disappear when horizontally scrolled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: ivan <ivan.brennan@HIDDEN>; Keywords: wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 24169 <at> debbugs.gnu.org and ivan <ivan.brennan@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24169 <at> debbugs.gnu.org:


Received: (at 24169) by debbugs.gnu.org; 1 Dec 2021 19:44:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 01 14:44:36 2021
Received: from localhost ([127.0.0.1]:45735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1msVWu-0003Ty-Ks
	for submit <at> debbugs.gnu.org; Wed, 01 Dec 2021 14:44:36 -0500
Received: from quimby.gnus.org ([95.216.78.240]:57668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1msVWp-0003TV-Nr
 for 24169 <at> debbugs.gnu.org; Wed, 01 Dec 2021 14:44:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cylc0V4jwLpshXvllXaUx1G2rwjDxaAdxMhU9C+Lw3w=; b=c7s0v1STRp246w+jPWaosqs+iH
 +/0W32w65TvdfvIncLgsJZMCzizjz84A0Povep0ksQSBc/ieK7tqZwbt3levveMy9a5bf0pai8jjp
 DS2PEktbr/F2i0cLT5TjK8XpXi2uaBI8DU3YjFhZnqkTzUdM+3VnqZb4W5WMEffTY7eg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1msVWf-00024g-Em; Wed, 01 Dec 2021 20:44:24 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ivan <ivan.brennan@HIDDEN>
Subject: Re: bug#24169: 25.1.50; Line numbers disappear when horizontally
 scrolled
References: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
X-Now-Playing: Hyd's _Hyd_: "The Look on Your Face"
Date: Wed, 01 Dec 2021 20:44:20 +0100
In-Reply-To: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
 (ivan's message of "Sat, 6 Aug 2016 12:02:09 -0400")
Message-ID: <87tufsf6uj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: ivan <ivan.brennan@HIDDEN> writes: > Using linum-mode
 displays
 line numbers to the left of the left > fringe. I would expect them to remain
 visible regardless of any > horizontal scrolling, since that's how the left
 fringe behaves (not [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 24169
Cc: 24169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

ivan <ivan.brennan@HIDDEN> writes:

> Using linum-mode displays line numbers to the left of the left
> fringe. I would expect them to remain visible regardless of any
> horizontal scrolling, since that's how the left fringe behaves (not to
> mention numerous other editors and applications). However, when using
> line-truncation, the line numbers disappear when the text is
> horizontally scrolled. I think this is worth fixing, because it would
> be more useful and look better (the dead space takes up screen
> real-estate and makes me sad).

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

In Emacs 26.1, a different line number mode was added (via
`display-line-numbers'), so we're not really fixing glitches like this
in linum-mode, so I'm therefore closing this as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.

Message received at 24169 <at> debbugs.gnu.org:


Received: (at 24169) by debbugs.gnu.org; 6 Aug 2016 19:14:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 15:14:32 2016
Received: from localhost ([127.0.0.1]:58165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW73I-0006Mz-L1
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 15:14:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bW73F-0006Ml-Nb
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 15:14:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bW737-000879-By
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 15:14:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.2 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38450)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bW737-00085n-9B; Sat, 06 Aug 2016 15:14:21 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2809
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bW730-0004gd-A0; Sat, 06 Aug 2016 15:14:16 -0400
Date: Sat, 06 Aug 2016 22:13:41 +0300
Message-Id: <837fbtk8wq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV-_qbDLDU_zYNcCSoLuxovJU5EkUr52a0vjZPkVku4BkJg@HIDDEN>
 (message from Noam Postavsky on Sat, 6 Aug 2016 14:50:06 -0400)
Subject: Re: bug#24169: 25.1.50;
 Line numbers disappear when horizontally scrolled
References: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
 <83a8gpkcvm.fsf@HIDDEN>
 <CAM-tV--HNK+nEoeki0PDEVEEa=GFaZ2hbqa4d6cD-BRWA+mnfA@HIDDEN>
 <838tw9kbvu.fsf@HIDDEN>
 <CAM-tV-_qbDLDU_zYNcCSoLuxovJU5EkUr52a0vjZPkVku4BkJg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24169
Cc: 24169 <at> debbugs.gnu.org, ivan.brennan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Sat, 6 Aug 2016 14:50:06 -0400
> Cc: ivan <ivan.brennan@HIDDEN>, 24169 <at> debbugs.gnu.org
> 
> On Sat, Aug 6, 2016 at 2:09 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
> > Am I missing something?
> 
> Nope, it was me who was missing something. I thought the problem was
> scrolling away from the character the overlay covered, but now I see
> it's about scrolling away from the character the overlay displays.

The linum-mode overlay has a before-string property, whose string has
a display property that displays in the margin.  So the before-string
itself is not displayed, but it must be a before-string, to avoid
affecting the display of buffer text.  The position where the overlay
is set must be visible for this to work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.

Message received at 24169 <at> debbugs.gnu.org:


Received: (at 24169) by debbugs.gnu.org; 6 Aug 2016 18:50:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 14:50:13 2016
Received: from localhost ([127.0.0.1]:58161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW6fl-0005kU-J0
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 14:50:13 -0400
Received: from mail-oi0-f54.google.com ([209.85.218.54]:34388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1bW6fk-0005kF-C6
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 14:50:12 -0400
Received: by mail-oi0-f54.google.com with SMTP id l203so68932010oib.1
 for <24169 <at> debbugs.gnu.org>; Sat, 06 Aug 2016 11:50:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=dlTNOwDiyaHmFHkDQiM7Pqd47tMIUwWuOMnwjTYeUP4=;
 b=dc6ZHcBq64R+58H3fcFSDXOB7yyfnBZIiNxpuM0iOGJot5iUwJA0rsUvXDpUEkTai4
 Zbe44QwMU5nNQj+qnhNN46YM/ld+nkPEzhCpNiWPetYY+wvXn+eCL89+bCR3UFlyM8NY
 zLj2Ah/fzn/5FkXp8pGl/m07aZO+GvcAIWKhy9F6pOo5bWGHZ9OsGllwZJPQ+kKrtbst
 B5CcC9pRLfApgv3iPWPzQ3GcEPb6k/mMy/lHyo9IQuvUcolq3QsDAjtNutCqP4qUAsTY
 YdwG39XCvwYA/2UM+mRuQiKudden2VF9H9bisv5EwuXDR3En84qAhRU2EBNZyivD2Ly+
 hPzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=dlTNOwDiyaHmFHkDQiM7Pqd47tMIUwWuOMnwjTYeUP4=;
 b=iGKAgFz2Ld49De4clS71k0nF6eBOVFlwQyPVVQF6th6IXe7TRAEKI20YTT/tMWYFue
 1B16j+dJxjqsUSxFPFz2Pp/tUCWh8BqqEp3K8cR03A7A4dAnvR0iYROgxYxlciPweEK7
 87xxY7trLd5xCujYZbpc8B8lZwcLSj7tbcwD/+C6DfIP9ZT7AzB3sgtRlCwFvyY7kydg
 plA+H/Kg3pRim01woKiNNlkKgmuLJJ5f+GVn9KHtXgp92BpiHYq0X97FybCk04lmfOQ5
 LdoEHU9qkHFAQHQqV1phIZc0jGATAp/OZjia7Pu5ys7i40GSL8hRL6eZkr5iOdVxDud5
 gR7A==
X-Gm-Message-State: AEkooutITxUQxSvqY+N1sEA3u87+G2YvGQpt7KMQ0U40/Dc7djZoFsrmefQwn9CIQZ2WqJ0UEPKxdRphkPUW/w==
X-Received: by 10.202.195.1 with SMTP id t1mr1156806oif.144.1470509406866;
 Sat, 06 Aug 2016 11:50:06 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.7.161 with HTTP; Sat, 6 Aug 2016 11:50:06 -0700 (PDT)
In-Reply-To: <838tw9kbvu.fsf@HIDDEN>
References: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
 <83a8gpkcvm.fsf@HIDDEN>
 <CAM-tV--HNK+nEoeki0PDEVEEa=GFaZ2hbqa4d6cD-BRWA+mnfA@HIDDEN>
 <838tw9kbvu.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Sat, 6 Aug 2016 14:50:06 -0400
X-Google-Sender-Auth: AVU5T4E5LJNiFWON9PF9uqB_kS8
Message-ID: <CAM-tV-_qbDLDU_zYNcCSoLuxovJU5EkUr52a0vjZPkVku4BkJg@HIDDEN>
Subject: Re: bug#24169: 25.1.50;
 Line numbers disappear when horizontally scrolled
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24169
Cc: 24169 <at> debbugs.gnu.org, ivan <ivan.brennan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Aug 6, 2016 at 2:09 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
> Am I missing something?

Nope, it was me who was missing something. I thought the problem was
scrolling away from the character the overlay covered, but now I see
it's about scrolling away from the character the overlay displays.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.

Message received at 24169 <at> debbugs.gnu.org:


Received: (at 24169) by debbugs.gnu.org; 6 Aug 2016 18:09:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 14:09:59 2016
Received: from localhost ([127.0.0.1]:58139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW62o-0004oQ-Oa
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 14:09:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bW62m-0004oB-8n
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 14:09:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bW62d-0005P9-TD
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 14:09:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.4 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37750)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bW62d-0005Os-Qc; Sat, 06 Aug 2016 14:09:47 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2747
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bW62Z-0001sF-Uk; Sat, 06 Aug 2016 14:09:46 -0400
Date: Sat, 06 Aug 2016 21:09:25 +0300
Message-Id: <838tw9kbvu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV--HNK+nEoeki0PDEVEEa=GFaZ2hbqa4d6cD-BRWA+mnfA@HIDDEN>
 (message from Noam Postavsky on Sat, 6 Aug 2016 13:52:06 -0400)
Subject: Re: bug#24169: 25.1.50;
 Line numbers disappear when horizontally scrolled
References: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
 <83a8gpkcvm.fsf@HIDDEN>
 <CAM-tV--HNK+nEoeki0PDEVEEa=GFaZ2hbqa4d6cD-BRWA+mnfA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24169
Cc: 24169 <at> debbugs.gnu.org, ivan.brennan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Sat, 6 Aug 2016 13:52:06 -0400
> Cc: ivan <ivan.brennan@HIDDEN>, 24169 <at> debbugs.gnu.org
> 
> Wouldn't it be simpler to put the overlay over the whole line, so it
> doesn't need to be moved?

How do you do that, given that display in the margins is a "replacing"
display: it is done _instead_ of the text covered by the property?
Linum-mode uses a before-string to avoid losing buffer text due to
that, and I don't see how you would do that "over the whole line".  Am
I missing something?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.

Message received at 24169 <at> debbugs.gnu.org:


Received: (at 24169) by debbugs.gnu.org; 6 Aug 2016 17:52:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 13:52:14 2016
Received: from localhost ([127.0.0.1]:58135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW5le-0004Oe-6h
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 13:52:14 -0400
Received: from mail-oi0-f43.google.com ([209.85.218.43]:35616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1bW5lc-0004OR-Ie
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 13:52:13 -0400
Received: by mail-oi0-f43.google.com with SMTP id 4so192684388oih.2
 for <24169 <at> debbugs.gnu.org>; Sat, 06 Aug 2016 10:52:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=Edh7cB238sQSJFjzh+UDllOe5OF2y7KCsXTSz3j7eX8=;
 b=r8ycGwC6Q9U7dx+rDBf2Eryg/LGiqNj++ZF1SPf0LBCaTylBUEuCu/spCLjYL2J1yx
 +5zs5ZlGBbo74KvjjWzOKxu7X+zljWMsPp6D9gCYu0oZfO3/qUdgzyQZhfCszLke7ELx
 FNIoGe3WC3BjIE8tkTffoB92OiA0DRpltmnZKn9EDHy4vGXOuhTbBnz3uaTwmxPV2FbT
 UQTMyxM27VlcExeCHlpqM6IgSPKeCm4LeYlcv34IQnjdbzR3lnSn/HnYwWRo0zR7ofsK
 JEkpY/gH6JRIO8e3zrtAFNhJH5QdTOLwjO0+ipra3dYJNRd9hdLK8IEPLCvD9uyAWKSl
 iyoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=Edh7cB238sQSJFjzh+UDllOe5OF2y7KCsXTSz3j7eX8=;
 b=MMN2ZJVNN/hW9ATwJRZ1E7xxD8xjuq9RAZ1th8YmjWdZONzAq+921FHebSpZdtMLTN
 /7ljGzzyKKg5j3/TedrmKL3b5hj2D1uXP0uhL6ReSnVvN9C1oNt78QDELUr7Ek8l45+E
 WO1PT5cBLKk48gKxbFYiTpxXplV86fM496Y8B6+2KtBIy2wneyYlZANMLaPuoM/6rmJd
 YMrmmOGPBt2WNdHT/uvxgvnJhdQuz+kt+Qsw8CvnWIlynbJQRvweVjs6hWSfw4re0C/V
 IMk2JP9m9jr2oqlXN/GoYW/Hw6LYXW0afuDdQzkZQqbkjI6ItM1/TlAOrP1TbziFuR1I
 XK5g==
X-Gm-Message-State: AEkooutPQ0XIqjvTFL3H1KdKNgRB/1e4SnEvhnEqoslsyQafes8y5D//PzxnvllGRkvOEOFrBGtLfTRH3JWR0g==
X-Received: by 10.157.24.7 with SMTP id b7mr4254089ote.35.1470505926930; Sat,
 06 Aug 2016 10:52:06 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.7.161 with HTTP; Sat, 6 Aug 2016 10:52:06 -0700 (PDT)
In-Reply-To: <83a8gpkcvm.fsf@HIDDEN>
References: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
 <83a8gpkcvm.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Sat, 6 Aug 2016 13:52:06 -0400
X-Google-Sender-Auth: A_Vrqc1JZqMsa24BevYLq2lQcPE
Message-ID: <CAM-tV--HNK+nEoeki0PDEVEEa=GFaZ2hbqa4d6cD-BRWA+mnfA@HIDDEN>
Subject: Re: bug#24169: 25.1.50;
 Line numbers disappear when horizontally scrolled
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24169
Cc: 24169 <at> debbugs.gnu.org, ivan <ivan.brennan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Aug 6, 2016 at 1:47 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: ivan <ivan.brennan@HIDDEN>
>> Date: Sat, 6 Aug 2016 12:02:09 -0400
>>
>> Using linum-mode displays line numbers to the left of the left fringe. I would expect them to remain visible
>> regardless of any horizontal scrolling, since that's how the left fringe behaves (not to mention numerous other
>> editors and applications). However, when using line-truncation, the line numbers disappear when the text is
>> horizontally scrolled. I think this is worth fixing, because it would be more useful and look better (the dead
>> space takes up screen real-estate and makes me sad).
>
> It's a bug in the design of linum-mode: it puts the overlay that
> displays the line numbers on the first character of each line.  So
> when that first character is not displayed, the overlay is not shown
> either.
>
> A possible fix would be to move the overlay to the first visible
> character after the horizontal scroll.  Patches welcome.

Wouldn't it be simpler to put the overlay over the whole line, so it
doesn't need to be moved?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.

Message received at 24169 <at> debbugs.gnu.org:


Received: (at 24169) by debbugs.gnu.org; 6 Aug 2016 17:48:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 13:48:26 2016
Received: from localhost ([127.0.0.1]:58131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW5hy-0004J1-MM
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 13:48:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bW5hx-0004Iq-O7
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 13:48:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bW5hp-0001WV-GZ
 for 24169 <at> debbugs.gnu.org; Sat, 06 Aug 2016 13:48:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.4 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37471)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bW5hp-0001WR-Cz; Sat, 06 Aug 2016 13:48:17 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2735
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bW5hl-0007h0-Kj; Sat, 06 Aug 2016 13:48:16 -0400
Date: Sat, 06 Aug 2016 20:47:57 +0300
Message-Id: <83a8gpkcvm.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ivan <ivan.brennan@HIDDEN>
In-reply-to: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
 (message from ivan on Sat, 6 Aug 2016 12:02:09 -0400)
Subject: Re: bug#24169: 25.1.50;
 Line numbers disappear when horizontally scrolled
References: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.3 (------)
X-Debbugs-Envelope-To: 24169
Cc: 24169 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.3 (------)

> From: ivan <ivan.brennan@HIDDEN>
> Date: Sat, 6 Aug 2016 12:02:09 -0400
> 
> Using linum-mode displays line numbers to the left of the left fringe. I would expect them to remain visible
> regardless of any horizontal scrolling, since that's how the left fringe behaves (not to mention numerous other
> editors and applications). However, when using line-truncation, the line numbers disappear when the text is
> horizontally scrolled. I think this is worth fixing, because it would be more useful and look better (the dead
> space takes up screen real-estate and makes me sad).

It's a bug in the design of linum-mode: it puts the overlay that
displays the line numbers on the first character of each line.  So
when that first character is not displayed, the overlay is not shown
either.

A possible fix would be to move the overlay to the first visible
character after the horizontal scroll.  Patches welcome.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Aug 2016 16:59:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 06 12:59:24 2016
Received: from localhost ([127.0.0.1]:58113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bW4wV-000379-Jo
	for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 12:59:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41893)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivan.brennan@HIDDEN>) id 1bW43L-0001mX-Eh
 for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 12:02:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ivan.brennan@HIDDEN>) id 1bW43E-0006C1-NJ
 for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 12:02:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56058)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivan.brennan@HIDDEN>) id 1bW43E-0006Bm-K3
 for submit <at> debbugs.gnu.org; Sat, 06 Aug 2016 12:02:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32845)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivan.brennan@HIDDEN>) id 1bW43B-0004LY-PN
 for bug-gnu-emacs@HIDDEN; Sat, 06 Aug 2016 12:02:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ivan.brennan@HIDDEN>) id 1bW439-0006BP-3k
 for bug-gnu-emacs@HIDDEN; Sat, 06 Aug 2016 12:02:12 -0400
Received: from mail-oi0-x235.google.com ([2607:f8b0:4003:c06::235]:33628)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivan.brennan@HIDDEN>) id 1bW438-0006BL-Sk
 for bug-gnu-emacs@HIDDEN; Sat, 06 Aug 2016 12:02:11 -0400
Received: by mail-oi0-x235.google.com with SMTP id j185so399532149oih.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 06 Aug 2016 09:02:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to;
 bh=Xv0MbM3sAwTGzNOmacfWAqFnzJA/eVxtkgzKvUr522s=;
 b=zXpmByYeAYzbkx/NCliUbYUp29KMds7kwQlK2iJMqZXS1lSUu7Kq/2LMGcHRognelD
 xW65decu91eRu5xp/82TN1PxGi/3/Dxr/08Gh5P1Nsz0UHuzKUioEHJqDtUtcOU79x3t
 OVleVDHkXt/d4ytsvHZw684Erdd1MkOYgbRsTehC1OPQQrC2UKpnXp0M2Z+cOP0dW6rA
 nE+eCN9u9r9N1ckFqNbIX0R0ghEmp48hOWnju5TSZskfRagerjEbE8wKT4JE6C4Cp4Cb
 Dd6VYpM2Td5ATLLIr0h7buzccd0/iqHNp/feuw0mRiqCYM2np3mz0qnYxV+wzGaAqYcY
 kcbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Xv0MbM3sAwTGzNOmacfWAqFnzJA/eVxtkgzKvUr522s=;
 b=P39+n2XC5bYzXMLJsj+UHgtDeCSwm+4PPKpxCjMeqH0Yc1r4/DryE+ChqV156YNmou
 oP7Vqfi/3L54RmW3SZKCwxGVw5OCXdD3TZmjvgabA6GZCrt9vNKjhqJGIRkbLgrYllaW
 SMUt8HTmVOtSNzbnALFIK7xOXkNQI86WBucNv6TnGsImfoD4TCVi+T0znLFhwy7WtRpO
 uF8d2dpOSqD2Oyy/GOvX8N4F6oGFoR/zgRJNRCnvRISJJbyH56vku5X9um0YyBQhK3yA
 vqPwuGTMPY7ftiFmtTRJAoD3SoY3+gBMceL//c3OVL9AVngQm3Gq+Zi8lI5KJ2ozaPCo
 Pp3A==
X-Gm-Message-State: AEkooutTCcOorTfYggcCFyB1dZx/K0w627Q6YDXL+PqSXokbsdl+gs7api0Lt0qccWMiUhTrYW1KSq4sqc1E0A==
X-Received: by 10.157.61.33 with SMTP id a30mr18176246otc.189.1470499329764;
 Sat, 06 Aug 2016 09:02:09 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.202.72.142 with HTTP; Sat, 6 Aug 2016 09:02:09 -0700 (PDT)
From: ivan <ivan.brennan@HIDDEN>
Date: Sat, 6 Aug 2016 12:02:09 -0400
Message-ID: <CAOVAYzuPv20gcC9CYS1PN=+_LZOwi+szmJsygkiPiF_EoZcuKg@HIDDEN>
Subject: 25.1.50; Line numbers disappear when horizontally scrolled
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a1140919a3174520539694e46
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 06 Aug 2016 12:59:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a1140919a3174520539694e46
Content-Type: text/plain; charset=UTF-8

Using linum-mode displays line numbers to the left of the left fringe. I
would expect them to remain visible regardless of any horizontal scrolling,
since that's how the left fringe behaves (not to mention numerous other
editors and applications). However, when using line-truncation, the line
numbers disappear when the text is horizontally scrolled. I think this is
worth fixing, because it would be more useful and look better (the dead
space takes up screen real-estate and makes me sad).

To reproduce, run 'emacs -Q', then:

  1. Type a long line of text (enough to exhibit line-wrapping).

  2. Go to the beginning of line.
     C-a

  3. Turn on line truncation.
     M-: (setq truncate-lines t)

  4. Turn on line-numbers.
     M-x linum-mode

  5. Move cursor forward past the right-edge of the window.
     C-f ...

  6. When the beginning of line scrolls out of view, the line numbers
disappear.

  7. Move cursor back towards the beginning of line.
     C-b ...

  8. Confirm that the line-numbers reappear as soon as the beginning of
line is back in view.


System and version info below:

In GNU Emacs 25.1.50.1 (x86_64-apple-darwin15.6.0, NS appkit-1404.47
Version 10.11.6 (Build 15G31))
of 2016-07-28 built on MachineCode.local
Repository revision: ec359399a47f852b4d022a30245449438e349193
Windowing system distributor 'Apple', version 10.3.1404
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=/usr/local/share/emacs/site-lisp
 --infodir=/usr/local/Cellar/emacs-plus/HEAD-ec35939/share/info/emacs
 --prefix=/usr/local/Cellar/emacs-plus/HEAD-ec35939 --with-xml2
 --without-dbus --with-gnutls --with-rsvg --with-imagemagick --with-ns
 --disable-ns-self-contained'

Configured features:
JPEG RSVG IMAGEMAGICK NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS
NS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 205473 6422)
 (symbols 48 20545 0)
 (miscs 40 43 141)
 (strings 32 18220 6425)
 (string-bytes 1 585506)
 (vectors 16 34498)
 (vector-slots 8 666572 7372)
 (floats 8 177 13)
 (intervals 56 222 0)
 (buffers 976 11))

--001a1140919a3174520539694e46
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Using <font face=3D"monospace, monospace">linum-mode<=
/font> displays line numbers to the left of the left fringe. I would expect=
 them to remain visible regardless of any horizontal scrolling, since that&=
#39;s how the left fringe behaves (not to mention numerous other editors an=
d applications). However, when using line-truncation, the line numbers disa=
ppear when the text is horizontally scrolled. I think this is worth fixing,=
 because it would be more useful and look better (the dead space takes up s=
creen real-estate and makes me sad).</div><div><br></div><div><div>To repro=
duce, run &#39;<font face=3D"monospace, monospace">emacs -Q</font>&#39;, th=
en:</div><div><br></div><div>=C2=A0 1. Type a long line of text (enough to =
exhibit line-wrapping).</div><div>=C2=A0=C2=A0</div><div>=C2=A0 2. Go to th=
e beginning of line.</div><div><font face=3D"monospace, monospace">=C2=A0 =
=C2=A0 =C2=A0C-a</font></div><div>=C2=A0=C2=A0</div><div>=C2=A0 3. Turn on =
line truncation.</div><div><font face=3D"monospace, monospace">=C2=A0 =C2=
=A0 =C2=A0M-: (setq truncate-lines t)</font></div><div>=C2=A0=C2=A0</div><d=
iv>=C2=A0 4. Turn on line-numbers.</div><div><font face=3D"monospace, monos=
pace">=C2=A0 =C2=A0 =C2=A0M-x linum-mode</font></div><div>=C2=A0=C2=A0</div=
><div>=C2=A0 5. Move cursor forward past the right-edge of the window.</div=
><div><font face=3D"monospace, monospace">=C2=A0 =C2=A0 =C2=A0C-f ...</font=
></div><div>=C2=A0=C2=A0</div><div>=C2=A0 6. When the beginning of line scr=
olls out of view, the line numbers disappear.</div><div>=C2=A0=C2=A0</div><=
div>=C2=A0 7. Move cursor back towards the beginning of line.</div><div><fo=
nt face=3D"monospace, monospace">=C2=A0 =C2=A0 =C2=A0C-b ...</font></div><d=
iv>=C2=A0=C2=A0</div><div>=C2=A0 8. Confirm that the line-numbers reappear =
as soon as the beginning of line is back in view.</div></div><div><br></div=
><div><br></div><div>System and version info below:</div><div><br></div><di=
v><div>In GNU Emacs 25.1.50.1 (x86_64-apple-darwin15.6.0, NS appkit-1404.47=
 Version 10.11.6 (Build 15G31))</div><div>of 2016-07-28 built on MachineCod=
e.local</div><div>Repository revision: ec359399a47f852b4d022a30245449438e34=
9193</div><div>Windowing system distributor &#39;Apple&#39;, version 10.3.1=
404</div><div>Recent messages:</div><div>For information about GNU Emacs an=
d the GNU system, type C-h C-a.</div><div><br></div><div>Configured using:<=
/div><div>=C2=A0&#39;configure --disable-dependency-tracking --disable-sile=
nt-rules</div><div>=C2=A0--enable-locallisppath=3D/usr/local/share/emacs/si=
te-lisp</div><div>=C2=A0--infodir=3D/usr/local/Cellar/emacs-plus/HEAD-ec359=
39/share/info/emacs</div><div>=C2=A0--prefix=3D/usr/local/Cellar/emacs-plus=
/HEAD-ec35939 --with-xml2</div><div>=C2=A0--without-dbus --with-gnutls --wi=
th-rsvg --with-imagemagick --with-ns</div><div>=C2=A0--disable-ns-self-cont=
ained&#39;</div><div><br></div><div>Configured features:</div><div>JPEG RSV=
G IMAGEMAGICK NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS</div><div>=
NS</div><div><br></div><div>Important settings:</div><div>=C2=A0 value of $=
LANG: en_US.UTF-8</div><div>=C2=A0 locale-coding-system: utf-8-unix</div><d=
iv><br></div><div>Major mode: Lisp Interaction</div><div><br></div><div>Min=
or modes in effect:</div><div>=C2=A0 tooltip-mode: t</div><div>=C2=A0 globa=
l-eldoc-mode: t</div><div>=C2=A0 electric-indent-mode: t</div><div>=C2=A0 m=
ouse-wheel-mode: t</div><div>=C2=A0 tool-bar-mode: t</div><div>=C2=A0 menu-=
bar-mode: t</div><div>=C2=A0 file-name-shadow-mode: t</div><div>=C2=A0 glob=
al-font-lock-mode: t</div><div>=C2=A0 font-lock-mode: t</div><div>=C2=A0 bl=
ink-cursor-mode: t</div><div>=C2=A0 auto-composition-mode: t</div><div>=C2=
=A0 auto-encryption-mode: t</div><div>=C2=A0 auto-compression-mode: t</div>=
<div>=C2=A0 line-number-mode: t</div><div>=C2=A0 transient-mark-mode: t</di=
v><div><br></div><div>Load-path shadows:</div><div>None found.</div><div><b=
r></div><div>Features:</div><div>(shadow sort mail-extr emacsbug message su=
br-x puny seq byte-opt gv</div><div>bytecomp byte-compile cl-extra help-mod=
e cconv cl-loaddefs pcase cl-lib</div><div>dired dired-loaddefs format-spec=
 rfc822 mml easymenu mml-sec</div><div>password-cache epa derived epg epg-c=
onfig gnus-util rmail rmail-loaddefs</div><div>mm-decode mm-bodies mm-encod=
e mail-parse rfc2231 mailabbrev gmm-utils</div><div>mailheader sendmail rfc=
2047 rfc2045 ietf-drums mm-util mail-prsvr</div><div>mail-utils time-date m=
ule-util tooltip eldoc electric uniquify</div><div>ediff-hook vc-hooks lisp=
-float-type mwheel term/ns-win ns-win</div><div>ucs-normalize term/common-w=
in tool-bar dnd fontset image regexp-opt</div><div>fringe tabulated-list ne=
wcomment elisp-mode lisp-mode prog-mode register</div><div>page menu-bar rf=
n-eshadow timer select scroll-bar mouse jit-lock</div><div>font-lock syntax=
 facemenu font-core term/tty-colors frame cl-generic</div><div>cham georgia=
n utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao</div><div>korea=
n japanese eucjp-ms cp51932 hebrew greek romanian slovak czech</div><div>eu=
ropean ethiopic indian cyrillic chinese charscript case-table epa-hook</div=
><div>jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadv=
ice</div><div>loaddefs button faces cus-face macroexp files text-properties=
 overlay</div><div>sha1 md5 base64 format env code-pages mule custom widget=
</div><div>hashtable-print-readable backquote kqueue cocoa ns multi-tty</di=
v><div>make-network-process emacs)</div><div><br></div><div>Memory informat=
ion:</div><div>((conses 16 205473 6422)</div><div>=C2=A0(symbols 48 20545 0=
)</div><div>=C2=A0(miscs 40 43 141)</div><div>=C2=A0(strings 32 18220 6425)=
</div><div>=C2=A0(string-bytes 1 585506)</div><div>=C2=A0(vectors 16 34498)=
</div><div>=C2=A0(vector-slots 8 666572 7372)</div><div>=C2=A0(floats 8 177=
 13)</div><div>=C2=A0(intervals 56 222 0)</div><div>=C2=A0(buffers 976 11))=
</div></div><div><br></div></div>

--001a1140919a3174520539694e46--




Acknowledgement sent to ivan <ivan.brennan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24169; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Dec 2021 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.